Variable: ClientSessionAccountObserveSchema
Makaio Framework / contracts / ClientSessionAccountObserveSchema
Variable: ClientSessionAccountObserveSchema
Section titled “Variable: ClientSessionAccountObserveSchema”
constClientSessionAccountObserveSchema:object
Defined in: ../../../packages/contracts/src/client/account-identity.ts:158
Request and response schemas for client.session.account.observe.
Type Declaration
Section titled “Type Declaration”request
Section titled “request”request:
ZodObject<{clientId:ZodString;kind:ZodString;locator:ZodDiscriminatedUnion<[ZodObject<{kind:ZodLiteral<"session">;sessionId:ZodString; },$strip>,ZodObject<{adapterSessionId:ZodString;kind:ZodLiteral<"adapter-session">; },$strip>,ZodObject<{adapterSessionId:ZodString;kind:ZodLiteral<"both">;sessionId:ZodString; },$strip>],"kind">;observedAt:ZodNumber;payload:ZodType<Record<string,unknown>,unknown,$ZodTypeInternals<Record<string,unknown>,unknown>>;source:ZodString; },$strip>
response
Section titled “response”response:
ZodObject<{changed:ZodBoolean;clientAccountId:ZodNullable<ZodString>;handled:ZodBoolean;sessionId:ZodNullable<ZodString>; },$strip>